Astrocal
API ReferenceSubscriptionV1Subscription

Get current subscription

Returns the organization's current plan, usage, limits, and subscription status.

GET
/v1/subscription

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/subscription"
{
  "plan": "free",
  "status": "active",
  "interval": "monthly",
  "period_end": "string",
  "usage": {
    "bookings_this_month": 0,
    "bookings_limit": 0,
    "connected_calendars": 0,
    "calendars_limit": 0
  },
  "features": {
    "paid_bookings": true,
    "max_api_rate": 0,
    "api_calls_per_day": 0
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}